libpthread-workqueue0_0.9.1-1_amd64.deb


Advertisement

Description

libpthread-workqueue0 - thread pool library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libpthread-workqueue0
Package version 0.9.1
Package release 1
Package architecture amd64
Package type deb
Installed size 35 B
Download size 14.68 KB
Official Mirror ftp.br.debian.org
The pthread_workqueue library allows you to create one or more workqueues
and submit work items for processing. The workqueues are serviced by a
thread pool that is automatically created and dynamically managed by the
library.
The API is based on the pthread_workqueue API in FreeBSD 8.0, which was
designed to be compatible with the API developed by Apple Inc to support
the Grand Central Dispatch concurrency framework.

Alternatives

Package Version Architecture Repository
libpthread-workqueue0_0.9.1-1_i386.deb 0.9.1 i386 Debian Main
libpthread-workqueue0 - - -

Requires

Name Value
libc6 >= 2.4

Download

Type URL
Binary Package libpthread-workqueue0_0.9.1-1_amd64.deb
Source Package libpthread-workqueue

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpthread-workqueue0 deb package:
    # sudo apt-get install libpthread-workqueue0

Files

Path
/usr/lib/x86_64-linux-gnu/libpthread_workqueue.so.0
/usr/lib/x86_64-linux-gnu/libpthread_workqueue.so.0.0.0
/usr/share/doc/libpthread-workqueue0/changelog.Debian.gz
/usr/share/doc/libpthread-workqueue0/changelog.gz
/usr/share/doc/libpthread-workqueue0/copyright

Changelog

2014-03-06 - Mark Heily <mark@heily.com>
libpthread-workqueue (0.9.1-1) unstable; urgency=medium
* New upstream version that prevents build failures on non-x86 platforms.
2014-03-02 - Mark Heily <mark@heily.com>
libpthread-workqueue (0.9-1) unstable; urgency=low
* New upstream version
* Switch to using GNU autotools. (Closes: #724148)
2011-07-09 - Mark Heily <mark@heily.com>
libpthread-workqueue (0.8-1) unstable; urgency=low
* New upstream version.
2011-06-13 - Mark Heily <mark@heily.com>
libpthread-workqueue (0.7-1) unstable; urgency=low
* New upstream version.
- Prevent deadlocks by implementing the overcommit attribute
2011-05-20 - Mark Heily <mark@heily.com>
libpthread-workqueue (0.6-1) unstable; urgency=low
* New upstream version.
2011-05-07 - Mark Heily <mark@heily.com>
libpthread-workqueue (0.5.1-1) unstable; urgency=low
* New upstream version.
* Update control file with new Standards-Version.
* Remove -m64 from CFLAGS (Closes: #622798)
* Limit architecture to linux-any (Closes: #622799)
2011-03-13 - Mark Heily <mark@heily.com>
libpthread-workqueue (0.4.1-1) unstable; urgency=low
* Initial release (Closes: #616704)

See Also

Package Description
libptscotch-5.1_5.1.12b.dfsg-2+b1_amd64.deb MPI programs and libraries for graph, mesh and hypergraph partitioning
libptscotch-dev_5.1.12b.dfsg-2+b1_amd64.deb MPI programs and libraries for graph, mesh and hypergraph partitioning
libpugixml-dev_1.4-1_amd64.deb Light-weight C++ XML processing library (development)
libpugixml1_1.4-1_amd64.deb Light-weight C++ XML processing library
libpugl-0-0_0~svn32+dfsg0-1_amd64.deb portable API for OpenGL graphical interfaces
libpugl-dev_0~svn32+dfsg0-1_amd64.deb portable API for OpenGL graphical interfaces (headers)
libpulse-dev_5.0-13_amd64.deb PulseAudio client development headers and libraries
libpulse-java_2.4.7-1_all.deb PulseAudio sound driver for Java
libpulse-jni_2.4.7-1_amd64.deb PulseAudio sound driver for Java (JNI libraries)
libpulse-mainloop-glib0_5.0-13_amd64.deb PulseAudio client libraries (glib support)
libpulse-ocaml-dev_0.1.2-1+b2_amd64.deb OCaml interface to the pulseaudio library
libpulse-ocaml_0.1.2-1+b2_amd64.deb OCaml interface to the PulseAudio sound server
libpulse0_5.0-13_amd64.deb PulseAudio client libraries
libpulsedsp_5.0-13_amd64.deb PulseAudio OSS pre-load library
libpuma-dev_1.2-1_amd64.deb C/C++/AspectC++ Scanner and Parsers
Advertisement
Advertisement